FreeBSD VuXML: Documenting security issues in FreeBSD and the FreeBSD Ports Collection

kaffeine -- buffer overflow vulnerability

Affected packages
0.4.2 <= kaffeine < 0.8.0


VuXML ID 4bfcd857-c628-11da-b2fb-000e0c2e438a
Discovery 2006-04-04
Entry 2006-04-07

The KDE team reports:

Kaffeine can produce a buffer overflow in http_peek() while creating HTTP request headers for fetching remote playlists, which under certain circumstances could be used to crash the application and/or execute arbitrary code.


Bugtraq ID 17372
CVE Name CVE-2006-0051